/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.fusiontables.model;

import com.google.api.client.json.GenericJson;

/**
 * Represents a Geometry object.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Fusion Tables API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Geometry extends GenericJson {

  /**
   * The list of geometries in this geometry collection.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Object> geometries;

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Object geometry;

  /**
   * Type: A collection of geometries.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * The list of geometries in this geometry collection.
   * The value returned may be {@code null}.
   */
  public java.util.List<Object> getGeometries() {
    return geometries;
  }

  /**
   * The list of geometries in this geometry collection.
   * The value set may be {@code null}.
   */
  public Geometry setGeometries(java.util.List<Object> geometries) {
    this.geometries = geometries;
    return this;
  }

  /**

   * The value returned may be {@code null}.
   */
  public Object getGeometry() {
    return geometry;
  }

  /**

   * The value set may be {@code null}.
   */
  public Geometry setGeometry(Object geometry) {
    this.geometry = geometry;
    return this;
  }

  /**
   * Type: A collection of geometries.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * Type: A collection of geometries.
   * The value set may be {@code null}.
   */
  public Geometry setType(String type) {
    this.type = type;
    return this;
  }

}
