/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.fusiontables.model;

import com.google.api.client.json.GenericJson;

/**
 * Represents a response to an sql statement.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Fusion Tables API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Sqlresponse extends GenericJson {

  /**
   * Columns in the table.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> columns;

  /**
   * Type name: a template for an individual table.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string)
   * exists. Thus it is important that each cell contains only one value.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.util.List<Object>> rows;

  /**
   * Columns in the table.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getColumns() {
    return columns;
  }

  /**
   * Columns in the table.
   * The value set may be {@code null}.
   */
  public Sqlresponse setColumns(java.util.List<String> columns) {
    this.columns = columns;
    return this;
  }

  /**
   * Type name: a template for an individual table.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Type name: a template for an individual table.
   * The value set may be {@code null}.
   */
  public Sqlresponse setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string)
   * exists. Thus it is important that each cell contains only one value.
   * The value returned may be {@code null}.
   */
  public java.util.List<java.util.List<Object>> getRows() {
    return rows;
  }

  /**
   * The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string)
   * exists. Thus it is important that each cell contains only one value.
   * The value set may be {@code null}.
   */
  public Sqlresponse setRows(java.util.List<java.util.List<Object>> rows) {
    this.rows = rows;
    return this;
  }

}
