/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.fusiontables.model;

import com.google.api.client.json.GenericJson;

/**
 * Represents a list of styles for a given table.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Fusion Tables API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class StyleSettingList extends GenericJson {

  /**
   * All requested style settings.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<StyleSetting> items;

  static {
    // hack to force ProGuard to consider StyleSetting used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(StyleSetting.class);
  }

  /**
   * Type name: in this case, a list of style settings.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Token used to access the next page of this result. No token is displayed if there are no more
   * styles left.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String nextPageToken;

  /**
   * Total number of styles for the table.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer totalItems;

  /**
   * All requested style settings.
   * The value returned may be {@code null}.
   */
  public java.util.List<StyleSetting> getItems() {
    return items;
  }

  /**
   * All requested style settings.
   * The value set may be {@code null}.
   */
  public StyleSettingList setItems(java.util.List<StyleSetting> items) {
    this.items = items;
    return this;
  }

  /**
   * Type name: in this case, a list of style settings.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Type name: in this case, a list of style settings.
   * The value set may be {@code null}.
   */
  public StyleSettingList setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Token used to access the next page of this result. No token is displayed if there are no more
   * styles left.
   * The value returned may be {@code null}.
   */
  public String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Token used to access the next page of this result. No token is displayed if there are no more
   * styles left.
   * The value set may be {@code null}.
   */
  public StyleSettingList setNextPageToken(String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  /**
   * Total number of styles for the table.
   * The value returned may be {@code null}.
   */
  public Integer getTotalItems() {
    return totalItems;
  }

  /**
   * Total number of styles for the table.
   * The value set may be {@code null}.
   */
  public StyleSettingList setTotalItems(Integer totalItems) {
    this.totalItems = totalItems;
    return this;
  }

}
